summaryrefslogtreecommitdiffstats
path: root/libraries/librapi2
diff options
context:
space:
mode:
author redtricycle2010-05-12 23:30:40 +0200
committer Robby Workman2010-05-12 23:30:40 +0200
commitcf3b35f89ee01e66970f9088557ac5821f33057e (patch)
treecb46d3dd6bb906ff0d1871a87043be43cd00ca9f /libraries/librapi2
parentb12dc2bda8495676e5adb37a9da67a12b7127406 (diff)
downloadslackbuilds-cf3b35f89ee01e66970f9088557ac5821f33057e.tar.gz
libraries/librapi2: Added to 12.2 repository
Diffstat (limited to 'libraries/librapi2')
-rw-r--r--libraries/librapi2/README10
-rw-r--r--libraries/librapi2/librapi2.SlackBuild76
-rw-r--r--libraries/librapi2/librapi2.info8
-rw-r--r--libraries/librapi2/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/librapi2/README b/libraries/librapi2/README
new file mode 100644
index 0000000000..4e20ce01ee
--- /dev/null
+++ b/libraries/librapi2/README
@@ -0,0 +1,10 @@
+The RAPI library is an open source implementation that works like RAPI.DLL,
+available on Microsoft operating systems. The library makes it possible to make
+remote calls to a computer running device. Documentation for the RAPI calls
+is available at this address:
+http://msdn.microsoft.com/library/default.asp?url=/library/en-us/wcesdkr/htm/_wcesdk_CeRapiInit.asp
+
+In order to use librapi, a daemon that the device client connects to must be
+running on the computer using librapi.
+
+This requires libsynce.
diff --git a/libraries/librapi2/librapi2.SlackBuild b/libraries/librapi2/librapi2.SlackBuild
new file mode 100644
index 0000000000..7502b72bab
--- /dev/null
+++ b/libraries/librapi2/librapi2.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for librapi2
+# Written by redtricycle (redtricycle@gmail.com)
+
+PRGNAM=librapi2
+VERSION=${VERSION:-0.13.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README* TODO BUGS ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/librapi2/librapi2.info b/libraries/librapi2/librapi2.info
new file mode 100644
index 0000000000..88f40dfb4b
--- /dev/null
+++ b/libraries/librapi2/librapi2.info
@@ -0,0 +1,8 @@
+PRGNAM="librapi2"
+VERSION="0.13.1"
+HOMEPAGE="http://www.synce.org"
+DOWNLOAD="http://downloads.sourceforge.net/synce/librapi2-0.13.1.tar.gz"
+MD5SUM="f44ca31d8a8cd44e9eb517b35ed87419"
+MAINTAINER="redtricycle"
+EMAIL="redtricycle@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/librapi2/slack-desc b/libraries/librapi2/slack-desc
new file mode 100644
index 0000000000..63dcf8d8e4
--- /dev/null
+++ b/libraries/librapi2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+librapi2: librapi2 (SynCE library)
+librapi2:
+librapi2: Librapi is part of the SynCE project.
+librapi2: The RAPI library is an open source implementation that works like
+librapi2: RAPI.DLL, available on Microsoft operating systems. The library makes
+librapi2: it possible to make remote calls to a computer running device.
+librapi2: In order to use librapi, a daemon that the device client connects to
+librapi2: must be running on the computer using librapi.
+librapi2:
+librapi2: Homepage: http://www.synce.org/
+librapi2: